Read all autoconversion rules
curl --request GET \
--url https://api.lumx.io/autoconversion-rules \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lumx.io/autoconversion-rules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lumx.io/autoconversion-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "c7f64332-5d53-4685-8aa9-48a5348c18c2",
"accountId": "44dd9734-176a-4ced-924f-103f8d50ea5e",
"partnerFeeId": "123e4567-e89b-12d3-a456-426614174004",
"status": "ACTIVE",
"provider": "STARKBANK",
"sourceCurrency": "BRL",
"targetCurrency": "USDC",
"blockchain": "POLYGON",
"purpose": "INVESTMENT",
"name": "BRL → USDC investment",
"createdAt": "2026-07-08T23:18:58.574Z"
}
],
"pagination": {
"size": 25,
"total": 1,
"hasNextPage": false,
"nextCursor": null
}
}Autoconversion Rules
Read all autoconversion rules
This endpoint reads all autoconversion rules, newest first.
GET
/
autoconversion-rules
Read all autoconversion rules
Authorizations
Bearer authentication header on the format Bearer <API_KEY>.
Query Parameters
Filter rules by customer.
Number of rules to return per page.
Required range:
1 <= x <= 50Cursor for pagination. Use the nextCursor from the previous response to get the next page.
⌘I